package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @date 2020-07-09 17:29
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum RzlxEnum {
    /**
     * 认证类型
     */
    A("1", "抵扣"), B("2", "退税"), C("3", "代理退税"), D("4", "不抵扣"), E("5", "撤销认证"), F("6", "撤销不抵扣发票已认证");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (RzlxEnum materialEnum : RzlxEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }

}
